<?php

namespace Database\ActivityProject\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Database\ActivityProject\Interfaces\AcitivityProjectRepositoryInterface;

class AcitivityProjectPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Database\AcitivityProject\Interfaces\AcitivityProjectRepositoryInterface $acitivity_project
     *
     * @return type
     */
    public function __construct(AcitivityProjectRepositoryInterface $acitivity_project)
    {
        $this->model = $acitivity_project;
        parent::__construct();
    }

    /**
     * Show acitivity_project's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $acitivity_projects = $this->model->all();

        return $this->theme->of('activity_project::public.acitivity_project.index', compact('acitivity_projects'))->render();
    }

    /**
     * Show acitivity_project.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $acitivity_project = $this->model->findBySlug($slug);

        return $this->theme->of('activity_project::public.acitivity_project.show', compact('acitivity_project'))->render();
    }
}
