<?php

namespace Database\ActivityProject\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Database\ActivityProject\Interfaces\ActivityProjectRepositoryInterface;

class ActivityProjectPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Database\ActivityProject\Interfaces\ActivityProjectRepositoryInterface $activity_project
     *
     * @return type
     */
    public function __construct(ActivityProjectRepositoryInterface $activity_project)
    {
        $this->model = $activity_project;
        parent::__construct();
    }

    /**
     * Show activity_project's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $activity_projects = $this->model->all();

        return $this->theme->of('activity_project::public.activity_project.index', compact('activity_projects'))->render();
    }

    /**
     * Show activity_project.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $activity_project = $this->model->findBySlug($slug);

        return $this->theme->of('activity_project::public.activity_project.show', compact('activity_project'))->render();
    }
}
